
Redmine - Defect #35009

db migration failed after updating to r20905

2021-04-02 19:22 - ChunChang (Nagaharu) Lo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

error message was:

ArgumentError: Missing `secret_key_base` for 'development' environment, set this string with `bin/rails credentials:edit`

History

#1 - 2021-04-02 22:29 - Marius BĂLTEANU

Do you have the secret token generated? It should be in config/initializers/secret_token.rb. If not, you can run bundle exec rake

generate_secret_token.

#2 - 2021-04-03 03:09 - ChunChang (Nagaharu) Lo

Hi,

In fact, I do have a secret_token.rb file.

It was dated back to 2012.

Should I run the command, bundle exec rake generate_secret_token, again?

[redmine@centos8 redmine]$ pwd

/var/www/html/redmine

[redmine@centos8 redmine]$ ls -l config/initializers/secret_token.rb 

-rw-r--r--. 1 redmine redmine 671 Apr 26  2012 config/initializers/secret_token.rb

#3 - 2021-04-09 13:39 - Ivan Cenov

You are migrating in 'development' environment. Is it this what you want? May be you have to use 'production' environment (if you are upgrading a

production installation).

#4 - 2021-06-04 10:05 - ChunChang (Nagaharu) Lo

- Status changed from New to Resolved

sorry for the late reply.

i removed secret_token.rb and regenerated it, then the error disappeared.

thanks for your help.

#5 - 2021-06-07 11:27 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

ChunChang Lo wrote:

sorry for the late reply.

i removed secret_token.rb and regenerated it, then the error disappeared.

thanks for your help.

 Thank you for your feedback. Closing.
